<?php
/**
 * SettingCodeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OmsClient\Dto;
use \Ensi\OmsClient\ObjectSerializer;

/**
 * SettingCodeEnum Class Doc Comment
 *
 * @category Class
 * @description Параметры. Расшифровка значений:   * &#x60;timeForPayment&#x60; - Срок для оплаты заказа клиентов (мин.)   * &#x60;timeForRefund&#x60; - Срок для осуществления возврата товара (мин.)   * &#x60;maxTimeOrderProcessing&#x60; - Максимальное время обработки заказа (мин.)
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class SettingCodeEnum
{
    /**
     * Possible values of this enum
     */
    const PAYMENT = 'timeForPayment';
    const REFUND = 'timeForRefund';
    const PROCESSING = 'maxTimeOrderProcessing';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::PAYMENT,
            self::REFUND,
            self::PROCESSING,
        ];
    }
}


